// Arquivo de exemplo: Exception1.cs
// Para compilar utilize: csc Exception1.cs
using System;
using System.IO;

class Exception1 {
	public static void Main() {
		string arquivo = @"C:\Livro\Capitulo25\MeuArquivo.txt";
		if (File.Exists(arquivo)) {
			try {
				using (StreamReader sr = File.OpenText(arquivo)) {
					Console.WriteLine(sr.ReadToEnd());					
				}
				Console.Read();
			}
			catch (UnauthorizedAccessException ex) {
				Console.WriteLine(ex.Message);
			}
			catch (NotSupportedException ex) 	{
				Console.WriteLine(ex.Message);
			}				
			catch (OutOfMemoryException ex) {
				Console.WriteLine(ex.Message);
			}
			catch (IOException ex) {
				Console.WriteLine(ex.Message);
			}
			catch (Exception ex) {
				Console.WriteLine(ex.Message);
			}
		}
		else {
			Console.WriteLine("O arquivo: " + arquivo + " não existe.");
		}	
	}
}
